@-webkit-keyframes moveUp {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  100% {
    -webkit-transform: translateY(-10px);
    transform: translateY(-10px);
  }
}

@keyframes moveUp {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  100% {
    -webkit-transform: translateY(-10px);
    transform: translateY(-10px);
  }
}
@keyframes move-twink-back {
  from {
    background-position: 0 0;
  }

  to {
    background-position: -10000px 5000px;
  }
}

@-webkit-keyframes move-twink-back {
  from {
    background-position: 0 0;
  }

  to {
    background-position: -10000px 5000px;
  }
}

@-moz-keyframes move-twink-back {
  from {
    background-position: 0 0;
  }

  to {
    background-position: -10000px 5000px;
  }
}

@-ms-keyframes move-twink-back {
  from {
    background-position: 0 0;
  }

  to {
    background-position: -10000px 5000px;
  }
}

@keyframes cardRotate {
  0% {
    transform: rotate(-13deg);
  }

  50% {
    transform: rotate(13deg);
  }

  100% {
    transform: rotate(-13deg);
  }
}

@keyframes cardRotateZ {
  0% {
    transform: rotateY(0deg);
  }

  50% {
    transform: rotateY(180deg);
  }

  100% {
    transform: rotateY(360deg);
  }
}

@keyframes rotateIt {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}
@keyframes lightsOp {
  0% {
    opacity: 0.5;
  }
  15% {
    opacity: 0.4;
  }
  25% {
    opacity: 0.45;
  }
  30% {
    opacity: 0.6;
  }
  60% {
    opacity: 0.55;
  }
  75% {
    opacity: 0.35;
  }
  90% {
    opacity: 0.6;
  }
  100% {
    opacity: 0.5;
  }
}

#divcheck {
  float: left;
  clear: both;
  width: 100%;
  margin: 0;
  padding: 0;
  display: block;
  overflow: hidden;
  position: relative;
}

.stars,
.twinkling,
.clouds {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  display: block;
}

.stars {
  background: #0f0f0f url("../images/stars.png") repeat top center;
  z-index: 0;
}

.twinkling {
  background: transparent url("../images/twinkling2.png") repeat top center;
  z-index: 1;
  -moz-animation: move-twink-back 200s linear infinite;
  -ms-animation: move-twink-back 200s linear infinite;
  -o-animation: move-twink-back 200s linear infinite;
  -webkit-animation: move-twink-back 200s linear infinite;
  animation: move-twink-back 200s linear infinite;
}

.img-bg {
  z-index: 10;
  position: absolute;
  right: -20%;
  bottom: 0%;
  width: 70%;
}

.tracuu {
  padding-top: 40px !important;
  position: relative;
  z-index: 20;
}
.tracuu h2 {
  color: #c0854c;
}

.tracuu p {
  text-align: center;
  line-height: 30px;
  color: #c0854c;
}
.tarot-des {
  position: relative;
  z-index: 20;
  top: -40px;
}
.tarot-des p {
  display: block;
  white-space: normal;
  word-break: break-word;
  color: #fff;
}

.cards {
  position: relative;
  top: -40px;
}

.welcome__lights-container {
  position: absolute;
  z-index: 3;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
}

.welcome__lights-container::after {
  content: "";
  display: block;
  position: absolute;
  top: auto;
  right: auto;
  bottom: auto;
  left: auto;
  width: 60%;
  padding: 30% 0;
  border-radius: 50%;
  background-image: radial-gradient(
    circle at 50% 50%,
    #ffffff 0%,
    rgba(255, 255, 255, 0.98) 4%,
    rgba(254, 254, 254, 0.95) 8%,
    rgba(254, 254, 254, 0.88) 12%,
    rgba(253, 253, 253, 0.8) 15%,
    rgba(252, 252, 252, 0.71) 19%,
    rgba(251, 251, 251, 0.61) 22%,
    rgba(250, 250, 250, 0.5) 25%,
    rgba(249, 249, 249, 0.39) 28%,
    rgba(248, 248, 248, 0.29) 31%,
    rgba(247, 247, 247, 0.2) 35%,
    rgba(246, 246, 246, 0.12) 38%,
    rgba(246, 246, 246, 0.05) 42%,
    rgba(245, 245, 245, 0.02) 46%,
    rgba(245, 245, 245, 0) 50%
  );
}

@media only screen and (min-width: 1024px) {
  .welcome__lights-container::after {
    width: 24%;
    padding: 12% 0;
  }
}

.welcome__lights-container .lights {
  width: 100%;
  position: relative;
  animation-name: lightsP;
  animation-duration: 9s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
  animation-delay: 0;
}

@media only screen and (min-width: 1024px) {
  .welcome__lights-container .lights {
    width: 60%;
  }
}

.welcome__lights-container .lights-a {
  transform: rotate(0deg);
  animation-name: rotateIt;
  animation-duration: 21s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  animation-delay: 0;
}

.welcome__lights-container .lights-a::before {
  content: "";
  display: block;
  width: 100%;
  padding-bottom: 100%;
  background: url("../tarot/video/lights-1.png.webp") no-repeat scroll
    rgba(0, 0, 0, 0);
  background-size: cover;
  background-position: center;
  animation-name: lightsOp;
  animation-duration: 1.8s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
  animation-delay: 0;
}

.welcome__lights-container .lights-b {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: rotate(0deg);
  animation-name: rotateIt;
  animation-duration: 33s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  animation-direction: reverse;
  animation-delay: 0;
}

.welcome__lights-container .lights-b::before {
  content: "";
  display: block;
  width: 100%;
  padding-bottom: 100%;
  background: url("../tarot/video/lights-2.png.webp") no-repeat scroll
    rgba(0, 0, 0, 0);
  background-size: cover;
  background-position: center;
  animation-name: lightsOp;
  animation-duration: 1.5s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
  animation-delay: 0;
}

.welcome__card-loader {
  position: relative;
  z-index: 3;
  height: 60vh;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 3.6s cubic-bezier(0.23, 1, 0.32, 1),
    opacity 2.1s ease-in;
  transform: scale(1);
}

.welcome__card-loader.-loaded {
  transform: scale(1);
  opacity: 1;
}

.welcome__card-loader.-loaded .welcome__card-container {
  animation-name: cardRotate;
  animation-duration: 8s;
  animation-iteration-count: infinite;
  animation-timing-function: cubic-bezier(0.5, 0, 0.5, 1);
}

.welcome__card-loader.-loaded .the-card {
  animation-name: cardRotateZ;
  animation-duration: 8s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

.welcome__card-container {
  position: absolute;
  z-index: 3;
  top: auto;
  right: auto;
  bottom: auto;
  left: auto;
  width: 30%;
  min-width: 8rem;
  animation-name: cardRotate;
  animation-duration: 8s;
  animation-iteration-count: infinite;
  animation-timing-function: cubic-bezier(0.5, 0, 0.5, 1);
  perspective: 1200px;
  transform-style: preserve-3d;
}

@media only screen and (min-width: 1024px) {
  .welcome__card-container {
    width: 30%;
    max-width: 12rem;
  }
}

.welcome__card-container .the-card {
  position: relative;
  transform-style: preserve-3d;
  animation-name: cardRotateZ;
  animation-duration: 8s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

.welcome__card-container .the-card *::-moz-selection {
  background-color: #a689d2;
}

.welcome__card-container .the-card *::selection {
  background-color: #a689d2;
}

.welcome__card-container .the-card__front {
  position: absolute;
  transform: rotateX(0) rotateY(180deg) scale(1) translateZ(0px);
  width: 100%;
  height: 100%;
  background-color: #f5f5f5;
  border-radius: 0.35rem;
  overflow: hidden;
  padding: 4.68% 4.68%;
  box-sizing: border-box;
}

.welcome__card-container .the-card__front::after {
  content: "";
  display: block;
  position: absolute;
  top: 1.9%;
  bottom: 1.9%;
  left: 3.125%;
  right: 3.125%;
  background-image: linear-gradient(
    to right bottom,
    #d2a17d 20%,
    #49432e 70%,
    #d2a17d 100%
  );
  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  padding: 1px;
  border-radius: 0.25rem;
  opacity: 0.2;
}

.welcome__card-container .the-card__front video {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  border-radius: 0.5rem;
  overflow: hidden;
  transform: translateZ(0);
}

.welcome__card-container .the-card__front .glare {
  position: absolute;
  top: -10%;
  left: -10%;
  width: 120%;
  height: 120%;
  background-image: linear-gradient(
    to right,
    rgba(245, 245, 245, 0) 0%,
    rgba(245, 245, 245, 0.5019607843) 50%,
    rgba(245, 245, 245, 0) 100%
  );
  animation-name: cardGlare;
  animation-duration: 8s;
  animation-delay: -6.3s;
  animation-iteration-count: infinite;
  animation-timing-function: cubic-bezier(0.5, 0, 0.5, 1);
}

.welcome__card-container .the-card__border {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #786398;
  border-radius: 0.35rem;
  overflow: hidden;
}

.welcome__card-container .the-card__border:nth-child(2) {
  transform: rotateX(0) rotateY(0deg) scale(1) translateZ(0.1px);
}

.welcome__card-container .the-card__border:nth-child(3) {
  transform: rotateX(0) rotateY(0deg) scale(1) translateZ(1.1px);
}

.welcome__card-container .the-card__border:nth-child(4) {
  transform: rotateX(0) rotateY(0deg) scale(1) translateZ(2.1px);
}

.welcome__card-container .the-card__back {
  position: relative;
  background-color: #1e1131;
  transform: rotateX(0) rotateY(0deg) scale(1) translateZ(2.1px);
  border-radius: 0.35rem;
  overflow: hidden;
}

.welcome__card-container .the-card__back .glare {
  position: absolute;
  top: -10%;
  left: 0%;
  width: 100%;
  height: 120%;
  background-image: linear-gradient(
    to right,
    rgba(25, 33, 48, 0) 0%,
    rgba(25, 33, 48, 0.5019607843) 50%,
    rgba(25, 33, 48, 0) 100%
  );
  animation-name: cardGlareBack;
  animation-duration: 8s;
  animation-delay: -6.3s;
  animation-iteration-count: infinite;
  animation-timing-function: cubic-bezier(0.5, 0, 0.5, 1);
}
a.submit-tracuu {
  background: #c0854c none repeat scroll 0 0;
  border: 1px solid #c0854c;
  border-radius: 5px;
  box-shadow: 0 0 1px 2px rgb(249 162 92 / 35%);
  color: #000;
  font-size: 13px;
  font-weight: 700;
  line-height: 40px;
  margin-bottom: 20px;
  padding: 0 15px;
  text-shadow: none;
  text-transform: uppercase;
  transition: all 0.3s ease 0s;
  width: 100%;
  position: relative;
  z-index: 20;
  top: -20px;
}
#our-services {
  background-color: #0f0f0f;
  padding: 20px 0;
}
#our-services h2 {
  color: #c0854c;
  margin-bottom: 40px;
}
.box-center {
  margin-bottom: 20px;
}
.box {
  background-image: url("../tarot/video/frame.png");
  background-repeat: no-repeat;
  background-size: 100% 100%; /* co giãn theo box */
  background-position: center;
  padding: 30px 20px;
  min-height: 100%; /* đảm bảo khung cao bằng nội dung */
  display: flex;
  flex-direction: column;
}
.box h4 {
  font-family: "Oswald-Regular";
  color: #c0854c;
  margin-top: 20px;
  text-align: center;
}
.box ul li {
  margin: 10px 0;
  color: #fff;
}
